### Method

# Adw PreferencesWindow set_can_navigate_back

deprecated: 1.4

#### Declaration [src]

    void
    adw_preferences_window_set_can_navigate_back (
      AdwPreferencesWindow* self,
      gboolean can_navigate_back
    )

#### Description [src]

Sets whether gestures and shortcuts for closing subpages are enabled.

The supported gestures are:

- One-finger swipe on touchscreens
- Horizontal scrolling on touchpads (usually two-finger swipe)
- Back mouse button

The keyboard back key is also supported, as well as the `Alt`+`←` shortcut.

For right-to-left locales, gestures and shortcuts are reversed.

Has no effect for subpages added with `adw_preferences_window_push_subpage()`.

Deprecated since: 1.4

Use `adw_navigation_page_set_can_pop()` instead.

Sets property | `Adw.PreferencesWindow:can-navigate-back`

#### Parameters

`can_navigate_back`

  Type: `gboolean`

  The new value.